View Issue Details

IDProjectCategoryView StatusLast Update
0002685unrealircdpublic2007-04-24 04:56
Reporterw00tAssigned Tostskeeps 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSn/aOS Versionn/a
Product Version3.2.3 
Target VersionFixed in Version3.3-alpha0 
Summary0002685: Useless if () in m_help.c
DescriptionLooking at various stuff through viewcvs:

    if (!IsServer(sptr) && MyConnect(sptr) && !IsPerson(sptr))
    {
    }

----
This used to do something in 2.x days (return; if I remember :p) but it doesn't do anything *now*.
TagsNo tags attached.
3rd party modules

Activities

2007-04-18 19:07

 

m_help.patch (670 bytes)

WolfSage

2007-04-18 19:07

reporter   ~0013552

Last edited: 2007-04-18 19:07

Why _IS_ that there? If we don't need it, let's yank it. (Patch added)

stskeeps

2007-04-24 04:56

reporter   ~0013651

Fixed in .2368

Issue History

Date Modified Username Field Change
2005-11-11 06:36 w00t New Issue
2007-04-18 19:07 WolfSage File Added: m_help.patch
2007-04-18 19:07 WolfSage Note Added: 0013552
2007-04-18 19:07 WolfSage Note Edited: 0013552
2007-04-19 02:26 stskeeps Status new => confirmed
2007-04-24 04:56 stskeeps Status confirmed => resolved
2007-04-24 04:56 stskeeps Fixed in Version => 3.3-alpha0
2007-04-24 04:56 stskeeps Resolution open => fixed
2007-04-24 04:56 stskeeps Assigned To => stskeeps
2007-04-24 04:56 stskeeps Note Added: 0013651